Ruby 2.0.0p247(2013-06-27revision41674)

- Main Page
- Modules
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Data Fields

Data Fields
rb_args_info Struct Reference

`#include <node.h>`

## Data Fields
NODE * | pre_init
NODE * | post_init
int | pre_args_num
int | post_args_num
ID | first_post_arg
ID | rest_arg
ID | block_arg
NODE * | kw_args
NODE * | kw_rest_arg
NODE * | opt_args

## Detailed Description

Definition at line 505 of file ripper.y.

## Field Documentation

ID rb_args_info::block_arg

Definition at line 515 of file ripper.y.

Referenced by iseq_set_arguments(), and new_args_tail_gen().

ID rb_args_info::first_post_arg

Definition at line 512 of file ripper.y.

Referenced by iseq_set_arguments(), and new_args_gen().

NODE * rb_args_info::kw_args

Definition at line 517 of file ripper.y.

Referenced by iseq_set_arguments(), and new_args_tail_gen().

NODE * rb_args_info::kw_rest_arg

Definition at line 518 of file ripper.y.

Referenced by iseq_set_arguments(), and new_args_tail_gen().

NODE * rb_args_info::opt_args

Definition at line 520 of file ripper.y.

Referenced by iseq_set_arguments(), and new_args_gen().

int rb_args_info::post_args_num

Definition at line 510 of file ripper.y.

Referenced by iseq_set_arguments(), and new_args_gen().

NODE * rb_args_info::post_init

Definition at line 507 of file ripper.y.

Referenced by iseq_set_arguments(), and new_args_gen().

int rb_args_info::pre_args_num

Definition at line 509 of file ripper.y.

Referenced by iseq_set_arguments(), and new_args_gen().

NODE * rb_args_info::pre_init

Definition at line 506 of file ripper.y.

Referenced by iseq_set_arguments(), and new_args_gen().

ID rb_args_info::rest_arg

Definition at line 514 of file ripper.y.

Referenced by iseq_set_arguments(), and new_args_gen().

The documentation for this struct was generated from the following file:

- node.h